×
Siemens Industry Online Support
Siemens AG
文档类型 常问问题 文档编号 109476392, 文档发布日期 2020年3月10日
(18)
评估

如何将早期 TIA Portal 版本创建的项目转换到TIA Portal V14或更高版本?

推荐文档: 西门子工程师推荐本文档!
  • 文档
  • 涉及产品
对于TIA Portal V14或更高版本,升级的项目,必须是TIA Portal V13SP1或更高版本创建的,项目所需的选项包必须安装在当前版本的PC上。


从TIA Portal早期版本升级项目
在TIA Portal V14或更高版本中不再支持以兼容性模式打开早期版本(TIA Portal V13 SP1以前版本)的项目。项目配置升级到最新版本,原始项目保持不变并以副本形式继续使用。
  • 在TIA Portal V16中, 项目版本V13 SP1 到 V15.1 可以直接升级到V16版本.
  • 在使用TIA Portal V14/V15/V16升级早期版本(例如V13或V12)项目之前要先把项目升级到TIA V13 SP1,并在TIA Portal V13 SP1中编译保存后再继续升级。
  • 在TIA Portal V15/V15.1 中,如果之前项目版本是TIA Portal V14SP1或 V13 SP1,则可以直接升级到当前版本 。

否则将出现如图1所示的错误消息. "Upgrade project (0025:000219)".




图.1

注意
如果您无法将STEP 7 Professional / Basic 项目从TIA Portal V13 SP1 版本升级到您当前版本,那么你可以通过在TIA Portal V13 SP1 中以下两个菜单命令来对STEP 7 Professional / Basic project 项目完全编译:

  • "编译 > 硬件 (完全重建)" 和
  • "编译 > 软件 (完全重建)".

需要的选项包必须升级到最新版本
如果您的项目包含来自选项包的配置,则选项包也必须用当前版本安装到您的PC上。例如,如果您的项目(包含SINAMICS Startdrive 组件或其它选项组件)从TIA Portal V14 SP1 升级到V15.1,但是SINAMICS Startdrive V15.1选项包还没安装到您的PC上,则会出现以下消息。

"这个项目是用 TIA Portal V14 SP1 创建的,需要升级。目前升级不可以用,因为没有安装必要的产品。”

由于TIA Portal使用的是项目中提到的版本(因为没有安装Startdrive V15.1),所以此消息与较早的软件版本一起出现。TIA Portal目前还不知道Startdrive V15.1 存在,需要升级软件。

在这种情况下,在升级项目前必须安装 SINAMICS Startdrive V15.1 .

打开带有固件V1.0的S7-1200 CPU模块的STEP 7 Professional / Basic 项目
TIA Portal V14 及更高版本不再支持带有固件V1.0的S7-1200 CPU模块的配置,如果你的设备配置包含固件V1.0的S7-1200 CPU模块,那么

  • 在TIA Portal V13 SP1 中将已配置CPU的固件更改为最新版本TIA Portal所支持的版本。
  • 或者,如果您想在项目中使用固件版本V4.0的CPU,您可以在离线项目中创建一个新的CPU,并将您的程序复制到该CPU中。

否则将出现如图所示的错误消息. "Open Project"



图. 2

更多信息

更多信息可在TIA Portal信息系统下获得 

安全性信息
为了保护技术基础设施、系统、机器和网络免受网络威胁,有必要实施并持续维护一个全面、最先进的IT安全方案。西门子的产品和解决方案构成了这一方案的一个要素。有关网络安全的更多信息,请访问
https://www.siemens.com/cybersecurity#Ouraspiration.
请求和反馈
您想要做什么?
注意:反馈总是与当前的条目/产品相关。您的消息将被转发给我们在线支持团队的技术编辑们。如果我们需要就您的反馈提供答复,您将在几天内收到答复。如果没有其它问题,您将不会收到答复。